aboutsummaryrefslogtreecommitdiff
path: root/package/mongrel2
diff options
context:
space:
mode:
authorGravatar Baruch Siach <baruch@tkos.co.il>2018-04-17 14:54:44 +0300
committerGravatar Thomas Petazzoni <thomas.petazzoni@bootlin.com>2018-04-19 23:40:33 +0200
commit1e2a8d4111f57e79c1848c7a70c6501e2bdacd58 (patch)
tree4dcbf607ce0212efc988a43f8fb13ed33e669bfe /package/mongrel2
parent4b948c2a32188ad38b820163b5b5f06ab15c8666 (diff)
downloadbuildroot-1e2a8d4111f57e79c1848c7a70c6501e2bdacd58.tar.gz
buildroot-1e2a8d4111f57e79c1848c7a70c6501e2bdacd58.tar.bz2
zeromq: needs NPTL
The recent zeromq version bump to 4.2.5 added a call to pthread_condattr_setclock() which is only provided by the NPTL implementation of pthreads. Add this dependency to zeromq and all reverse dependencies recursively. Fixes: http://autobuild.buildroot.net/results/2d0/2d070074097270a1e6973bc19e2bded2a7023c49/ http://autobuild.buildroot.net/results/1ce/1ce6d6f0f6390f552954a09f7dc753e0baa86675/ http://autobuild.buildroot.net/results/97c/97c5b9f3bc2c94f8476e884b9a3163bbf2dad8d4/ Cc: Asaf Kahlon <asafka7@gmail.com> Signed-off-by: Baruch Siach <baruch@tkos.co.il> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
Diffstat (limited to 'package/mongrel2')
-rw-r--r--package/mongrel2/Config.in6
1 files changed, 3 insertions, 3 deletions
diff --git a/package/mongrel2/Config.in b/package/mongrel2/Config.in
index a9b09b786c..09bc8bd0a2 100644
--- a/package/mongrel2/Config.in
+++ b/package/mongrel2/Config.in
@@ -7,15 +7,15 @@ config BR2_PACKAGE_MONGREL2_LIBC_SUPPORTS
default y if BR2_TOOLCHAIN_USES_UCLIBC && \
(BR2_arm || BR2_armeb || BR2_i386 || BR2_mips || BR2_mipsel || BR2_mips64 || BR2_mips64el || BR2_sparc || BR2_x86_64)
-comment "mongrel2 needs a uClibc or glibc toolchain w/ C++, threads, dynamic library"
+comment "mongrel2 needs a uClibc or glibc toolchain w/ C++, NPTL, dynamic library"
depends on !BR2_INSTALL_LIBSTDCPP || \
- !BR2_TOOLCHAIN_HAS_THREADS || BR2_STATIC_LIBS || \
+ !BR2_TOOLCHAIN_HAS_THREADS_NPTL || BR2_STATIC_LIBS || \
!BR2_PACKAGE_MONGREL2_LIBC_SUPPORTS
config BR2_PACKAGE_MONGREL2
bool "mongrel2"
depends on BR2_INSTALL_LIBSTDCPP # zeromq
- depends on BR2_TOOLCHAIN_HAS_THREADS # zeromq
+ depends on BR2_TOOLCHAIN_HAS_THREADS_NPTL # zeromq
depends on !BR2_STATIC_LIBS # uses dlopen()
depends on BR2_PACKAGE_MONGREL2_LIBC_SUPPORTS
select BR2_PACKAGE_SQLITE